import axios from "axios";
import React, { ReactElement } from "react";
import "./styles/nav.scss";
interface Props {
	isLogged: boolean;
	logoutState: () => void;
}
const NOT_LOGGED = [
	{ name: "aplikacja", href: "/" },
	{ name: "logowanie", href: "login.html" },
	{ name: "rejestracja", href: "register.html" },
];

const LOGGED = [{ name: "aplikacja", href: "/" }];

function Nav({ isLogged, logoutState }: Props): ReactElement {
	const logout = async () => {
		await axios.delete(
			"http://localhost:8080/api/v1/collections/sessions/current"
		);
		logoutState();
	};

	return (
		<nav className="navbar">
			<h2 className="navbar__title">Zgłaszańsko web</h2>
			<div className="navbar__links">
				{isLogged
					? LOGGED.map((ele) => (
							<>
								<a href={ele.href} className="button-link">
									{ele.name}
								</a>
								<button
									onClick={logout}
									className="button-link"
								>
									Wyloguj
								</button>
							</>
					  ))
					: NOT_LOGGED.map((ele) => (
							<a href={ele.href} className="button-link">
								{ele.name}
							</a>
					  ))}
			</div>
		</nav>
	);
}

export default Nav;
