import axios from "axios";
export type Location = {
	lat: number;
	lon: number;
};

export type Address = {
	house_number?: string;
	road?: string;
	suburb?: string;
	neighbourhood?: string;
	hamlet?: string;
};

export async function getAddress(location: Location): Promise<Address | void> {
	const nominatim_url = `https://nominatim.openstreetmap.org/reverse?lat=${location.lat}&lon=${location.lon}&format=jsonv2`;
	try {
		const data = await axios.get(nominatim_url);
		const nominatim_dat = data.data as { address: Address };
		return nominatim_dat.address;
	} catch (error) {
		console.log(123);
	}
}
