/* eslint-disable @typescript-eslint/no-unused-vars */
import React, { ReactElement, useEffect, useState } from "react";
import ReactDOM from "react-dom";
import Nav from "./Nav";
import "./styles/reset.css";
import "./styles/app.scss";
import "regenerator-runtime/runtime";
import axios from "axios";

export default function Login(): ReactElement {
	const [isLogged, setIsLogged] = useState(false);
	const [error, setError] = useState(null);

	const [loginState, setLoginState] = useState({
		username: "",
		password: "",
	});
	const checkUser = async (): Promise<void> => {
		try {
			await axios.get(
				"http://localhost:8080/api/v1/collections/users/me"
			);
			setIsLogged(true);
		} catch (error) {
			setIsLogged(false);
		}
	};
	useEffect(() => {
		void checkUser();
	}, []);

	const postLogin = async () => {
		try {
			await axios.post("http://localhost:8080/api/v1/sessions/", {
				username: loginState.username,
				password: loginState.password,
			});
			void checkUser();
		} catch (e) {
			console.log(e);
		}
	};

	const notLoggedForm = () => {
		return (
			<form>
				<label htmlFor="username">
					Nazwa użytkownika
					<input
						type="text"
						name="username"
						value={loginState.username}
						onChange={(e) =>
							setLoginState({
								...loginState,
								username: e.target.value,
							})
						}
					/>
				</label>
				<label htmlFor="password">
					Hasło
					<input
						type="password"
						name="password"
						value={loginState.password}
						onChange={(e) =>
							setLoginState({
								...loginState,
								password: e.target.value,
							})
						}
					/>
				</label>
				<button
					type="submit"
					onClick={(e) => {
						e.preventDefault();
						console.log(postLogin());
					}}
				>
					Zaloguj
				</button>
			</form>
		);
	};
	return (
		<>
			<Nav isLogged={isLogged} logoutState={() => setIsLogged(false)} />
			{isLogged ? <h1>Jesteś zalogowany</h1> : notLoggedForm()}
		</>
	);
}
ReactDOM.render(<Login />, document.getElementById("root"));
